Bug 100730 - Bluecurve icons everywhere in KDE
Bluecurve icons everywhere in KDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-artwork (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: FutureFeature, GraphicArt
Depends On:
  Show dependency treegraph
Reported: 2003-07-24 15:12 EDT by Peter Backlund
Modified: 2013-03-13 00:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-26 20:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A small example of what the konqueror toolbar would look like. (127.83 KB, image/png)
2003-07-24 15:14 EDT, Peter Backlund
no flags Details

  None (edit)
Description Peter Backlund 2003-07-24 15:12:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
I think the Bluecurve icon theme in KDE should cover as many icons as possible, on everything from back/forward buttons to printer icons etc. However, I don't think application icons should be replaced, and possibly not the K-menu icon either. For KDE applications, the crystal icons should be used. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Peter Backlund 2003-07-24 15:14:26 EDT
Created attachment 93118 [details]
A small example of what the konqueror toolbar would look like.
Comment 2 Peter Backlund 2003-07-24 15:16:24 EDT
Of special importance is fixing the folder icons. In severn, the sidebar tree view 
shows the BC fodler icons for closed folders, but when clicking the [+], the icons 
switch to crystal "open folder". This looks really bad.  
Comment 3 Havoc Pennington 2003-07-24 16:34:26 EDT
The Bluecurve icon theme replaces all the icons with Bluecurve-style icons; 
if you want Crystal, you should be able to just switch to the Crystal icon theme.
I don't really understand why you would want half of one theme and half of the
other? That would need to be a KDE feature like "application icon icon theme" vs. 
"toolbar icon theme" or something, I don't know if KDE has that.

The open folder icon just sounds like a bug, cc'ing Garrett on that.
Comment 4 Peter Backlund 2003-07-24 17:31:49 EDT
"The Bluecurve icon theme replaces all the icons with Bluecurve-style icons" 
No, it doesn't. Most icons are still KDE default (i.e. Crystal). I'm talking about back-/forward, 
refresh, stop/reload/home/find/play buttons. I think KDE should use all the gtk-* icons in the 
stock/ folders under Bluecurve. 
What I don't think you should do however, is replacing the KMail launcher icon with the 
redhat-mail envelope/stamp icon. That may be used for BC preferred applications (in this case, 
Half of one and half of the other is exactly the situation right now. Just look at the screenshot, I 
replaced some of the toolbar icons with the gtk-* ones. 
Comment 5 Garrett LeSage 2003-07-24 18:01:22 EDT
The Bluecurve theme for KDE should have better coverage -- I agree fully. It's
on my TODO list, along with many other things. 

If you would like to help out, I think that would be great.

I need to:

1) Map the GTK+ stock icons to equivalent KDE ones
2) Handle out-of coverage icons
  a) Discover missing icons
  b) Design the omitted icons
3) Resize (and optimize) icons for the standard KDE sizes (not the same as Gnome
sizes), unless KDE has the functionality to use alternate icon sizes.

I could use help with 1 and 2a.
Comment 6 Ronny Buchmann 2003-07-27 16:33:19 EDT
on shrike:
$ rpm -ql redhat-artwork | wc -l

$ rpm -ql redhat-artwork | wc -l

Most of the icons were already there, in severn most icons <48x48 are missing.
Comment 7 Havoc Pennington 2003-07-27 19:41:37 EDT
I thought KDE would scale the 48x48 now?
Comment 8 Ronny Buchmann 2003-07-28 04:10:18 EDT
I don't know, maybe in 3.2? But this is due after RHL release, so it doesn't
matter for now.
Comment 9 Garrett LeSage 2003-07-28 10:32:55 EDT
The 48x48 icons are another issue, not necessarily related.

I plan on including multiple sizes for the app icons; more sizes should appear
by the next beta.

The number is lower, as we completely redid the way in which the icons are
handled. Before, it was a manual hunt-and-find operation where we dumped a lot
of icons in a directory and I had to manually go in and replace each one for a
Bluecurve version (and not every one was replaced yet -- I did not design a
Bluecurve style icon for many of the games, specialized apps, etc.).

This version of redhat-artwork now features icons sliced from icon grids. There
are no icons except Bluecurve themed icons now. 

The total reimplementation of the icon management scheme should account for the
difference in the number of icons. *smile*

In upcoming versions of redhat-arwork, there will not only be more coverage, but
more sizes are planned as well. As is, we should hopefully be on par with Red
Hat Linux 9 (more or less).

My main issues right now (concerning the icons) are:

 1) No (or little) regression when compared to RHL9
 2) Multiple sizes
 3) KDE coverage for stock icons

This bug (in particular) covers #3

Concerning #3, late last week, I moved the names of the stock icons over to a
generic naming scheme and symlinked the Gnome ones over, in preparation for an
easier inclusion of KDE icons (symlinked to concept-based names rather than ones
with "Gnome" and "GTK" in the identifiers).

You can cvs checkout redhat-artwork and look in art/icon/Bluecurve/sheets/ at
the file called "icons-stock.icontheme" if you would like to help make the KDE
icon integration happen at a quicker pace.
Comment 10 Peter Backlund 2003-07-28 12:06:49 EDT
I would love to help out with the mapping and/or coverage issues. I'll start 
tracking cvs to avoid doubleing efforts.  
About icon sizes in Gnome vs. KDE, the biggest problem lies in the small icons. I 
think Gnome uses 24x24 icons in menus, whereas KDE uses 16x16 by default.  
KDE does however have support for custom size icons in the menu, and the 24x24 
icons look perfectly fine when using a 24x24 size for small icons 
(kcontrol->look->icons->advanced), but the problem is that this creates an 
inconsistent height in the menu entries. Entries with an icon become 24 pixels 
high, and entries without stay at 16 pixels. Also, unless Bluecurve covers every 
single icon in KDE, the inherited classic/crystal icons are scaled up from 16x16 to 
24x24, which does not look good.    
On the other hand, downscaling the 24x24 to 16x16 makes the icons blurry. So 
you either need to go with 24x24 icons, patch QT to use 24 pixels as standard 
height in menu entries, and cover every single icon with BC (bad idea IMO). Or, 
you create a BC icon set at 16x16 pixels with sharp edges/high contrast (better 
idea). This is on the other hand a lot of work (I assume?). 
There is also another icon bug in bugzilla that you might wanna track: 
Comment 11 Peter Backlund 2003-08-15 10:23:40 EDT
It's very hard to map BC icons to the right KDe icon without having the names of
the stock icon :-/.

Could you provide an all-in-on thumbnail with icon names printed next to them? 
Comment 12 Garrett LeSage 2003-08-15 11:55:22 EDT
The names for the stock icons are in the XML file.  I have also added the mappings to the KDE 
icons in the latest version of CVS as well, as contributed by Kreg Steppe.  There are probably 
improvements to be made, and it is by no means final at the moment.

I either have to provide the multiple sizes or tell KDE to use alternates at the moment, so even 
though the mappings are in place in the latest CVS redhat-artwork, it doesn't mean that they are 
visible quite yet.

Kreg sent me an updated list this morning, so I'll probably try to roll in the changes sometime 
today.  I still need to figure out exactly what we are going to do with regard to the size issue, so 
that way actually testing the icons would be possible.

As of right now, I'm sure that the list is not final, so if you would like to contribute aliases for the 
actions (stock icons) or anything else (the filesystem/mime-types, application icons, dialog icons, 
etc.), feel free, and I'll try to include those within the package.
Comment 13 Peter Backlund 2003-08-15 12:34:25 EDT
What I need is some way of pairing an icon in the thumbnail with the name in the XML file. My 
idea was to look at a KDE application, identify each classic/crystal icon's name by looking in 
/usr/share/icons/classic/*, and then find an appropriate BC icon, along with its name. For 
example, in Konqueror, the back button icon is back.png, and the appropriate BC icon would 
be gtk-go-back.png. Now, since I don't know the name of the BC icons I can't do that. I have 
all the icons, and all names, but no way of telling which name belongs to which icon. Unless 
they are sorted the same way, left to right or something? 
I haven't installed a newer redhat-artwork from rawhide though, I'm only using cvs. I suppose 
the icon file names would be present in a built rpm. Checking rawhide... 
Comment 14 Garrett LeSage 2003-08-15 14:51:52 EDT
My point is that they are in a grid, and that grid has the names in the XML
configuration file. Below the specification of the names, there are aliases for
the GNOME stock icon set, then there are aliases for KDE's actions. What you're
looking for is already there in the XML configuration file. 

It starts at the top left, then each icon in the sheet is placed in a row
towards the right. Once in a while (usually at the end of the line), it wraps
around and starts in the next row on the left, then moves to the right again.
It's pretty straightforward; just a simple grid with the XML file specifying the
Bluecurve names, then aliases which symlink the Bluecurve name to the
appropriate desktop name.

You really want to look at the CVS version. It has been updated a good bit since
the beta.

Also, only the source has the sheet and the XML configuration file. The
resulting RPM does not.

You can cvs checkout redhat-artwork and look in art/icon/Bluecurve/sheets/ at
the file called "icons-stock.icontheme" if you would like to help make the KDE
icon integration happen at a quicker pace.
[end quote]

The Bluecurve icon names, then the desktop specific names are all included in
that XML configuration file.
Comment 15 Bill Nottingham 2006-08-07 11:45:37 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still running
Red Hat Linux, you are strongly advised to upgrade to a current Fedora Core
release or Red Hat Enterprise Linux or comparable. Some information on which
option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks. Please check if this
issue is still present in a current Fedora Core release. If so, please change
the product and version to match, and check the box indicating that the
requested information has been provided. Note that any bug still open against
Red Hat Linux by the end of 2006 will be closed as 'CANTFIX'. Thanks again for
your help.
Comment 17 Bill Nottingham 2007-07-26 20:16:44 EDT
Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.